Package com.collibra.dgc.core.api.dto.meta.domaintype

# Class AddDomainTypeRequest

Object
AddDomainTypeRequest

All Implemented Interfaces:
  `Serializable`

public class AddDomainTypeRequest extends Object implements Serializable
The properties of the Domain Type to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddDomainTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddDomainTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddDomainTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The description of the new Domain Type.
  `UUID`
  `getId()`
  The ID of the new Domain Type.
  `String`
  `getName()`
  Required. The name of the new Domain Type.
  `UUID`
  `getParentId()`
  The ID of the parent of the new Domain Type.
  `String`
  `getPublicId()`
  The public id that will be assigned to the new Domain Type.
  `int`
  `hashCode()`
  `void`
  `setDescription(String description)`
  The description of the new Domain Type.
  `void`
  `setId(UUID id)`
  The ID of the new Domain Type.
  `void`
  `setName(String name)`
  Required. The name of the new Domain Type.
  `void`
  `setParentId(UUID parentId)`
  The ID of the parent of the new Domain Type.
  `void`
  `setPublicId(String publicId)`
  The public id that will be assigned to the new Domain Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddDomainTypeRequest

    public AddDomainTypeRequest()

- ## Method Details

  - ### builder

    public static AddDomainTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new Domain Type. Should be unique within all Domain Types. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix

  - ### getPublicId

    public String getPublicId()
    The public id that will be assigned to the new Domain Type.

    It must be unique within all Domain Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### getName

    public String getName()
    Required. The name of the new Domain Type. Should be unique within all Domain Types.

  - ### getDescription

    public String getDescription()
    The description of the new Domain Type.

  - ### getParentId

    public UUID getParentId()
    The ID of the parent of the new Domain Type.

  - ### setId

    public void setId(UUID id)
    The ID of the new Domain Type. Should be unique within all Domain Types. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id that will be assigned to the new Domain Type.

    It must be unique within all Domain Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### setName

    public void setName(String name)
    Required. The name of the new Domain Type. Should be unique within all Domain Types.

  - ### setDescription

    public void setDescription(String description)
    The description of the new Domain Type.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the parent of the new Domain Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`